<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.3.25
Name: [3] Sekcja informacji o czynnikach narażenia zawodowego
Description: Szablon struktury CDA dla sekcji informacji o czynnikach narażenia zawodowego
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.3.25-2014-08-14T000000">
   <title>[3] Sekcja informacji o czynnikach narażenia zawodowego</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.25
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']]
Item: (plCdaHistoryOfOccupationalExposureSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']]"
         id="tmp-r-3ce463ea-8e9d-46c1-8790-6cb8db1a49d6">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2014-08-14T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25'])&gt;=1 and not(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']/@nullFlavor)">(plCdaHistoryOfOccupationalExposureSection): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2014-08-14T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25'])&lt;=1">(plCdaHistoryOfOccupationalExposureSection): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.25
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']
Item: (plCdaHistoryOfOccupationalExposureSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']"
         id="tmp-r-7ade772e-352b-4a9b-8a19-b1e58dfef4af">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2014-08-14T000000.html"
              test="string(@classCode)='DOCSECT' or not(@classCode)">(plCdaHistoryOfOccupationalExposureSection): Wartość dla @classCode MUSI wynosić 'DOCSECT'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2014-08-14T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaHistoryOfOccupationalExposureSection): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2014-08-14T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.25'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.25']/@nullFlavor)">(plCdaHistoryOfOccupationalExposureSection): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.25'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2014-08-14T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.25'])&lt;=1">(plCdaHistoryOfOccupationalExposureSection): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.25'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2014-08-14T000000.html"
              test="count(hl7:id)&lt;=1">(plCdaHistoryOfOccupationalExposureSection): element hl7:id występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2014-08-14T000000.html"
              test="count(hl7:code[(@code='10161-8' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='10161-8' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(plCdaHistoryOfOccupationalExposureSection): element hl7:code[(@code='10161-8' and @codeSystem='2.16.840.1.113883.6.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2014-08-14T000000.html"
              test="count(hl7:code[(@code='10161-8' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(plCdaHistoryOfOccupationalExposureSection): element hl7:code[(@code='10161-8' and @codeSystem='2.16.840.1.113883.6.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2014-08-14T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(plCdaHistoryOfOccupationalExposureSection): element hl7:text jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2014-08-14T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaHistoryOfOccupationalExposureSection): element hl7:text występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.25
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.25']
Item: (plCdaHistoryOfOccupationalExposureSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.25']"
         id="tmp-r-9aa541f3-55bb-4a9e-9736-60bfac5f4a32">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2014-08-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaHistoryOfOccupationalExposureSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2014-08-14T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.3.25'">(plCdaHistoryOfOccupationalExposureSection): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.3.25'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2014-08-14T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaHistoryOfOccupationalExposureSection): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.25
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']/hl7:id
Item: (plCdaHistoryOfOccupationalExposureSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']/hl7:id"
         id="tmp-r-6943e159-2668-4167-b071-55dfaeef7764">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2014-08-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaHistoryOfOccupationalExposureSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.25
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']/hl7:code[(@code='10161-8' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (plCdaHistoryOfOccupationalExposureSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']/hl7:code[(@code='10161-8' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-e8ae4c09-8d36-42f4-9c2b-8b6f4e0e0be5">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2014-08-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaHistoryOfOccupationalExposureSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2014-08-14T000000.html"
              test="@nullFlavor or (@code='10161-8' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='History of occupational exposure' and @codeSystemName='LOINC')">(plCdaHistoryOfOccupationalExposureSection): Wartość elementu MUSI wynosić code '10161-8' codeSystem '2.16.840.1.113883.6.1' displayName='History of occupational exposure' codeSystemName='LOINC'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.25
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']/hl7:text
Item: (plCdaHistoryOfOccupationalExposureSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']/hl7:text"
         id="tmp-r-a5edca48-d325-4120-87eb-8ab803f7e8cf">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2014-08-14T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaHistoryOfOccupationalExposureSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:SD.TEXT", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
